#include <sta/bus/spi/spi.hpp>

#include <sta/config.hpp>
#ifdef STA_PLATFORM_ARDUINO
#   include <stdio.h>
#else
#   include <cstdio>
#endif // STA_PLATFORM_ARDUINO


namespace sta
{
    SPI::SPI(const SPISettings & settings, Mutex * mutex /* = nullptr */)
        : Interface{mutex}, settings_{settings}
    {
        
    }

    const SPISettings & SPI::settings()
    {
        return settings_;
    }
} // namespace sta
